//----------------------------------------------------------------------
//
//  Copyright(c) 2001, Richard Nies
//
//  Permission granted to use this code without restriction as
//  long as this copyright notice appears in all source files.
//
//  Class:        ConfigExcep
//
//  File:         ConfigExcep.cpp
//
//----------------------------------------------------------------------

// System Includes

// Local Includes

#include "../Common/ConfigExcep.h"

// Macros

//----------------------------------------------------------------------
// Method: Constructor
//----------------------------------------------------------------------
ConfigExcep::ConfigExcep
               (const char* file,
                const char* method,
                const int   line,
                const char* errMsg,
                const int   errCode,
                const char* subID) 
  :
     RunTimeExcep
        (id(),
		   file, 
			method, 
			line, 
			errMsg,
			errCode,
			subID)
{}

//----------------------------------------------------------------------
// Method: id
//----------------------------------------------------------------------
const char* ConfigExcep::id() const     
{
   static const char* classId = "ConfigExcep";
   return classId;
}

