//----------------------------------------------------------------------
//
//  Copyright(c) 2001, Richard Nies
//
//  Permission granted to use this code without restriction as
//  long as this copyright notice appears in all source files.
//
//  Class:        CorbaExcep
//
//  File:         CorbaExcep.cpp
//
//----------------------------------------------------------------------

// System Includes

// Local Includes

#include "../Common/CorbaExcep.h"

// Macros

//----------------------------------------------------------------------
// Method: Constructor
//----------------------------------------------------------------------
CorbaExcep::CorbaExcep
                (const char* file,
                 const char* method,
                 const int   line,
                 const char* errMsg,
                 const int   errCode,
                 const char* subID) 
  :
     CommonExcep
        (id(),
		   file, 
			method, 
			line, 
			errMsg,
			errCode,
			subID)
{}

//----------------------------------------------------------------------
// Method: id
//----------------------------------------------------------------------
const char* CorbaExcep::id() const     
{
   static const char* classId = "CorbaExcep";
   return classId;
}

