//----------------------------------------------------------------------
//
//  Copyright(c) 2001, Richard Nies
//
//  Permission granted to use this code without restriction as
//  long as this copyright notice appears in all source files.
//
//  Class:        CorbaUserExcep
//
//  File:         CorbaUserExcep.cpp
//
//----------------------------------------------------------------------

// System Includes

// Local Includes

#include "../Common/CorbaUserExcep.h"

// Macros

//----------------------------------------------------------------------
// Method: Constructor
//----------------------------------------------------------------------
CorbaUserExcep::CorbaUserExcep
                (const char* file,
                 const char* method,
                 const int   line,
                 const char* errMsg,
                 const int   errCode,
                 const char* subID) 
  :
     CorbaExcep
        (id(),
		   file, 
			method, 
			line, 
			errMsg,
			errCode,
			subID)
{}

//----------------------------------------------------------------------
// Method: id
//----------------------------------------------------------------------
const char* CorbaUserExcep::id() const     
{
   static const char* classId = "CorbaUserExcep";
   return classId;
}

