//----------------------------------------------------------------------
//
//  Copyright(c) 2001, Richard Nies
//
//  Permission granted to use this code without restriction as
//  long as this copyright notice appears in all source files.
//
//  Class:       ExcepInfo
//
//  File:        ExcepInfo.cpp
//
//----------------------------------------------------------------------

// System Includes

// Local Includes

#include "../Common/ExcepInfo.h"

// Macros

//----------------------------------------------------------------------
// Method: Constructor
//----------------------------------------------------------------------
ExcepInfo::ExcepInfo(const char* id,
                     const char* file,
                     const char* method,
                     const int   line,
                     const char* errMsg,
                     const int   errCode,
                     const char* subID)
   :
      m_id     (id),
      m_file   (file),
      m_method (method),
      m_line   (line),
      m_errMsg (errMsg),
      m_errCode(errCode),
      m_subID  (subID)
{}



