//----------------------------------------------------------------------
//
//  Class:        ExcepInfoDeque
//
//  File:         ExcepInfoDeque.h
//
//  Description:  Defines the information stored for a single exception. 
//               
//----------------------------------------------------------------------
#ifndef _EXCEPINFODEQUE_H
#define _EXCEPINFODEQUE_H

// System Includes

#include <deque>
#include <iterator>

// Local Includes

#include "../Common/ExcepInfo.h"

// Forward declarations;

typedef std::deque<ExcepInfo >                  ExcepInfoDeque;

typedef ExcepInfoDeque::iterator                ExcepInfoDequeIter;

typedef ExcepInfoDeque::const_iterator          ExcepInfoDequeIterConst;

typedef ExcepInfoDeque::reverse_iterator        ExcepInfoDequeRevIter;

typedef ExcepInfoDeque::const_reverse_iterator  ExcepInfoDequeRevIterConst;

#endif



